<template>
	<div>
		<v-dialog v-model="visible" width="800" persistent>
			<v-card>
				<v-toolbar color="#c51f2f">
					<v-spacer></v-spacer>
					<v-toolbar-items>
						<v-btn dark text icon @click="closeImageModal">
							<v-icon>fas fa-times</v-icon>
						</v-btn>
					</v-toolbar-items>
				</v-toolbar>
				<v-card-text>
					<img :src="image" width="100%" height="590px" />
				</v-card-text>
			</v-card>
		</v-dialog>
	</div>
</template>

<script>
import EventBus from "../../bus";

export default {
	name: "ModalImage",
	props: ["visible", "image"],
	methods: {
		closeImageModal() {
			EventBus.$emit("closeImageModalStudent");
		}
	},
	mounted() {
		// cierra el dialog del documento con la tecla ESC
		document.addEventListener("keydown", event => {
			const keyWhich = event.which;
			if (keyWhich === 27) {
				this.closeImageModal();
			}
		});
	}
};
</script>